
#pragma once


namespace error
{
	literal  // Location
	{
		OpenBuffer = 0,
		CheckBuffer,
		CreateBuffer,
		FindBuffer,
		WriteBuffer,
		ReadBufferNext,
		ReadBufferSync,
		BarLag,

		OpenRecord,
		WriteRecord,
		ReadRecord,
		SaveRecord
	};

	literal   // Kind
	{
		VoidContext = 0,
		ReservedName,
		InvalidSpec,
		NullMatch,
		IncompatibleType,
		InvalidRegister,
		InvalidHandle,
		ReservedFile,
		LimitViolation
	};

	extern const OLECHAR * FunctionTable [];

	extern const OLECHAR * FaultTable [];

	void Log
	( IEasyLanguageObject * ELObjP, integer Kind, integer Location );

};

