
#include "elx.preface.h"
#include "elx.begin.h"
#include "elx.error.h"
#include "elx.point.h"
#include "elx.buffer.h"
#include "elx.heap.h"
#include "elx.article.h"
#include "elx.record.h"
#include "elx.archive.h"
#include "elx.kernel.h"
#include "elx.state.h"
#include "elx.end.h"

using namespace elx;



dll_entry( int ) elxCreateState
( IEasyLanguageObject * ELObjP )
{
	state * StateP = ( state * )ELObjP->Tag;
	if ( StateP == 0 )
	{
		StateP = new state ( plain );
		ELObjP->Tag = ( int )StateP;
	}
	return 0;
}


dll_entry( int ) elxDestroyState
( IEasyLanguageObject * ELObjP )
{
	state * StateP = ( state * )ELObjP->Tag;
	if ( StateP != 0 )
	{
		delete StateP;
		ELObjP->Tag = 0;
	}
	return 0;
}


dll_entry( void ) elxEnableTraps
( IEasyLanguageObject * ELObjP, bool Indicator )
{
	state * StateP = ( state * )ELObjP->Tag;
	if ( StateP != 0 ) StateP->EnableTraps( Indicator );
}


dll_entry( int ) elxVersion
( IEasyLanguageObject * ELObjP )
{
	return 10300;
}
